Package org.eclipse.m2m.atl.adt

## Class AdtPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.m2m.atl.adt.AdtPlugin

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

    public class AdtPlugin
    extends org.eclipse.core.runtime.Plugin

The main plugin class to be used in the desktop.

### Field Summary

Fields
`static java.lang.String` `PLUGIN_ID` The plugin id.

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
`AdtPlugin()` The constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AdtPlugin` `getDefault()` Returns the shared instance.
`void` `start​(org.osgi.framework.BundleContext context)`
`void` `stop​(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

The plugin id.

See Also:
  Constant Field Values

### Constructor Detail

#### AdtPlugin

    public AdtPlugin()

The constructor.

### Method Detail

#### getDefault

    public static AdtPlugin getDefault()

Returns the shared instance.

Returns:
  the shared instance

#### start

    public void start​(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `java.lang.Exception`
See Also:
  `Plugin.start(org.osgi.framework.BundleContext)`

#### stop

    public void stop​(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `java.lang.Exception`
See Also:
  `Plugin.stop(org.osgi.framework.BundleContext)`